%define	snap 20071129

%define	realname Teng
%define	modname	teng
%define	dirname	%{modname}
%define soname	%{modname}.so
%define inifile	22_%{modname}.ini

Summary:	General purpose templating engine for PHP
Name:		php-%{modname}
Version:	2.0.0
Release:	%mkrel 0.%{snap}.17
Group:		Development/PHP
License:	LGPL
URL:		http://teng.sourceforge.net/
Source0:	php4.tar.gz
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	libteng-devel

%description
Teng is a general purpose templating engine (whence Teng), this package
add Teng support to PHP. 

%prep

%setup -q -n php4

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=%{_prefix}

%make
mv modules/*.so .
chrpath -d %{soname}

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > README.%{modname} << EOF
The %{name} package contains a dynamic shared object (DSO) for PHP.
To activate it, make sure a file /etc/php.d/%{inifile} is present and
contains the line 'extension = %{soname}'.
EOF

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%post
if [ -f /var/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart >/dev/null || :
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f /var/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart >/dev/null || :
    fi
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CREDITS README.%{modname}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog
* Mon Feb 07 2011 spuhler <spuhler> 2.0.0-0.20071129.17.mga1
+ Revision: 48284
- removed buildroot definition from .spec
- imported package php-teng


* Sat Jan 08 2011 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-0.20071129.17mdv2011.0
+ Revision: 629892
- rebuilt for php-5.3.5

* Mon Jan 03 2011 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-0.20071129.16mdv2011.0
+ Revision: 628200
- ensure it's built without automake1.7

* Wed Nov 24 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-0.20071129.15mdv2011.0
+ Revision: 600541
- rebuild

* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-0.20071129.14mdv2011.0
+ Revision: 588878
- rebuild

* Fri Mar 05 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-0.20071129.13mdv2010.1
+ Revision: 514684
- rebuilt for php-5.3.2

* Sat Jan 02 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-0.20071129.12mdv2010.1
+ Revision: 485493
- rebuilt for php-5.3.2RC1

* Sat Nov 21 2009 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-0.20071129.11mdv2010.1
+ Revision: 468264
- rebuilt against php-5.3.1

* Wed Sep 30 2009 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-0.20071129.10mdv2010.0
+ Revision: 451366
- rebuild

* Sun Jul 19 2009 Raphaël Gertz <rapsys@mandriva.org> 2.0.0-0.20071129.9mdv2010.0
+ Revision: 397620
- Rebuild

* Mon May 18 2009 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-0.20071129.8mdv2010.0
+ Revision: 377036
- rebuilt for php-5.3.0RC2

* Sun Mar 01 2009 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-0.20071129.7mdv2009.1
+ Revision: 346678
- rebuilt for php-5.2.9

* Tue Feb 17 2009 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-0.20071129.6mdv2009.1
+ Revision: 341836
- rebuilt against php-5.2.9RC2

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-0.20071129.5mdv2009.1
+ Revision: 323121
- rebuild

* Fri Dec 05 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-0.20071129.4mdv2009.1
+ Revision: 310316
- rebuilt against php-5.2.7

  + Michael Scherer <misc@mandriva.org>
    - better summary

* Fri Jul 18 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-0.20071129.3mdv2009.0
+ Revision: 238447
- rebuild

* Fri May 02 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-0.20071129.2mdv2009.0
+ Revision: 200277
- rebuilt for php-5.2.6

* Tue Feb 05 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-0.20071129.1mdv2008.1
+ Revision: 162785
- use a recent snap (20071129)
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 11 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-8mdv2008.1
+ Revision: 107733
- restart apache if needed

* Sat Sep 01 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-7mdv2008.0
+ Revision: 77585
- rebuilt against php-5.2.4

* Thu Jun 14 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-6mdv2008.0
+ Revision: 39530
- use distro conditional -fstack-protector

* Fri Jun 01 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-5mdv2008.0
+ Revision: 33881
- rebuilt against new upstream version (5.2.3)

* Thu May 03 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-4mdv2008.0
+ Revision: 21363
- rebuilt against new upstream version (5.2.2)


* Thu Feb 08 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-3mdv2007.0
+ Revision: 117636
- rebuilt against new upstream version (5.2.1)

* Wed Nov 08 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-2mdv2007.0
+ Revision: 78111
- rebuilt for php-5.2.0
- Import php-teng

* Mon Aug 28 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-1
- initial Mandriva package

